%global momorel 4

Summary: XDG Sound Theme and Name Specifications
Name: libcanberra
Version: 0.24
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://0pointer.de/lennart/projects/libcanberra/
Source0: http://0pointer.de/lennart/projects/%{name}/%{name}-%{version}.tar.gz
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk-doc
BuildRequires: pkgconfig
BuildRequires: alsa-lib-devel >= 1.0.17a
BuildRequires: pulseaudio-libs-devel >= 0.9.11
BuildRequires: gstreamer-devel >= 0.10.20
BuildRequires: gtk2-devel >= 2.14.2
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: libtdb-devel >= 1.1.1
BuildRequires: libvorbis-devel >= 1.2.0
BuildRequires: vala

# for chromium
Provides: libcanberra-gtk2

Requires(post): GConf2
Requires(preun): GConf2

%description
libcanberra is an implementation of the XDG Sound Theme and Name
Specifications, for generating event sounds on free desktops, such as
GNOME. It comes with several backends (ALSA, PulseAudio, OSS,
GStreamer, null) and is designed to be portable. It consists of the
following parts:


%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: alsa-lib-devel
Requires: pulseaudio-libs-devel
Requires: gstreamer-devel
Requires: gtk2-devel
Requires: glib2-devel
Requires: libtdb-devel
Requires: libvorbis-devel

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure \
    --enable-gtk-doc \
    --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/libcanberra.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/libcanberra.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/libcanberra.schemas \
	> /dev/null || :
fi

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc LGPL README
%{_sysconfdir}/gconf/schemas/libcanberra.schemas
%{_bindir}/canberra-gtk-play
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la

%dir %{_libdir}/libcanberra-%{version}
%{_libdir}/libcanberra-%{version}/*.so
%{_libdir}/libcanberra-%{version}/*.la

%{_libdir}/gtk-2.0/modules/libcanberra-gtk-module.la
%{_libdir}/gtk-2.0/modules/libcanberra-gtk-module.so

%{_datadir}/gnome/autostart/libcanberra-login-sound.desktop
%{_datadir}/gnome/shutdown/libcanberra-logout-sound.sh
 
%{_datadir}/gdm/autostart/LoginWindow/libcanberra-ready-sound.desktop


%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcanberra-gtk.pc
%{_libdir}/pkgconfig/libcanberra.pc
%{_includedir}/*.h
%doc %{_datadir}/gtk-doc/html/libcanberra
%doc %{_datadir}/doc/libcanberra/README

# vala
%{_datadir}/vala/vapi/*.vapi

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.24-4m)
- full rebuild for mo7 release

* Sun Jun 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.24-3m)
- vapi and gir to devel

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.24-2m)
- add Requires

* Sat Apr 24 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.24-1m)
- update to 0.24

* Sun Jan 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.22-1m)
- update to 0.22
- enable gtk-doc

* Mon Dec 21 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.18-3m)
- --disable-gtk-doc

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.18-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Sep 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.18.0-1m)
- update to 0.18

* Sun May 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12-1m)
- update to 0.12

* Sun Feb  1 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-1m)
- update to 0.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9-2m)
- rebuild against rpm-4.6

* Tue Sep 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9-1m)
- initial build
